/*
 *  Twutf_defs.h  --  include for ASCII/VGA/UTF/UNICODE characters database
 *
 *  Copyright (C) 2001 by Massimiliano Ghilardi
 *
 *  This library is free software you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

#ifndef TUTF_DEFS_H
#define TUTF_DEFS_H

#include <Tutf/utf_32.h>
#include <Tutf/ascii.h>

#include <Tutf/iso8859_1.h>
#include <Tutf/iso8859_2.h>
#include <Tutf/iso8859_3.h>
#include <Tutf/iso8859_4.h>
#include <Tutf/iso8859_5.h>
#include <Tutf/iso8859_6.h>
#include <Tutf/iso8859_7.h>
#include <Tutf/iso8859_8.h>
#include <Tutf/iso8859_9.h>
#include <Tutf/iso8859_10.h>
#include <Tutf/iso8859_11.h>
#include <Tutf/iso8859_13.h>
#include <Tutf/iso8859_14.h>
#include <Tutf/iso8859_15.h>
#include <Tutf/iso8859_16.h>

#include <Tutf/cp424.h>
#include <Tutf/cp437.h>
#include <Tutf/cp737.h>
#include <Tutf/cp775.h>
#include <Tutf/cp850.h>
#include <Tutf/cp852.h>
#include <Tutf/cp855.h>
#include <Tutf/cp856.h>
#include <Tutf/cp857.h>
#include <Tutf/cp860.h>
#include <Tutf/cp861.h>
#include <Tutf/cp862.h>
#include <Tutf/cp863.h>
#include <Tutf/cp864.h>
#include <Tutf/cp865.h>
#include <Tutf/cp866.h>
#include <Tutf/cp869.h>
#include <Tutf/cp874.h>
#include <Tutf/cp932.h>
#include <Tutf/cp936.h>
#include <Tutf/cp949.h>
#include <Tutf/cp950.h>
#include <Tutf/cp1006.h>
#include <Tutf/cp1250.h>
#include <Tutf/cp1251.h>
#include <Tutf/cp1252.h>
#include <Tutf/cp1253.h>
#include <Tutf/cp1254.h>
#include <Tutf/cp1255.h>
#include <Tutf/cp1256.h>
#include <Tutf/cp1257.h>
#include <Tutf/cp1258.h>

#include <Tutf/adobe_stdenc.h>
#include <Tutf/adobe_symbol.h>

#include <Tutf/mac_arabic.h>
#include <Tutf/mac_celtic.h>
#include <Tutf/mac_centraleurope.h>
#include <Tutf/mac_croatian.h>
#include <Tutf/mac_cyrillic.h>
#include <Tutf/mac_devanagari.h>
#include <Tutf/mac_dingbats.h>
#include <Tutf/mac_farsi.h>
#include <Tutf/mac_gaelic.h>
#include <Tutf/mac_greek.h>
#include <Tutf/mac_gujarati.h>
#include <Tutf/mac_gurmukhi.h>
#include <Tutf/mac_hebrew.h>
#include <Tutf/mac_icelandic.h>
#include <Tutf/mac_inuit.h>
#include <Tutf/mac_roman.h>
#include <Tutf/mac_romanian.h>
#include <Tutf/mac_symbol.h>
#include <Tutf/mac_thai.h>
#include <Tutf/mac_turkish.h>

#include <Tutf/ms_mac_cyrillic.h>
#include <Tutf/ms_mac_greek.h>
#include <Tutf/ms_mac_icelandic.h>
#include <Tutf/ms_mac_latin2.h>
#include <Tutf/ms_mac_roman.h>
#include <Tutf/ms_mac_turkish.h>

/* miscellaneous encodings */

#include <Tutf/apl_iso_ir_68.h>
#include <Tutf/atarist.h>
#include <Tutf/hp_roman8.h>
#include <Tutf/jisx0201.h>
#include <Tutf/koi8_r.h>
#include <Tutf/koi8_u.h>
#include <Tutf/kz1048.h>
#include <Tutf/nextstep.h>
#include <Tutf/vt100gr.h>

#endif /* TUTF_DEFS_H */
